Bug 51482 - iptables 1.2.1a does not support --reject-with tcp-reset
iptables 1.2.1a does not support --reject-with tcp-reset
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: iptables (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-10 16:43 EDT by Oliver Schulze L.
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-10 16:43:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Oliver Schulze L. 2001-08-10 16:43:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:0.9.2)
Gecko/20010726 Netscape6/6.1

Description of problem:
If you use '--reject-with tcp-reset' option as documented in the man page,
you get this error:
Bad argument `tcp-reset'
Try `iptables -h' or 'iptables --help' for more information.


How reproducible:
Always

Steps to Reproduce:
1.iptables -t filter -A OUTPUT -p tcp -s 192.168.1.0/24 -d 0/0 --dport
27665 -m limit --limit 2/minute -j LR --reject-with tcp-reset
2.this command is executed from firestarter(.sourceforge.net)
3.
	

Actual Results:  iptables v1.2.1a: Unknown arg `--reject-with'
Try `iptables -h' or 'iptables --help' for more information.


Expected Results:  no errors should be reported

Additional info:
Comment 1 Bernhard Rosenkraenzer 2001-08-12 07:00:06 EDT
Fixed in 1.2.2-*
Comment 2 Oliver Schulze L. 2001-08-12 15:48:56 EDT
Still happends with this version:
ftp://rawhide.redhat.com/pub/redhat/linux/rawhide/SRPMS/SRPMS/iptables-1.2.2-3.src.rpm

Please look at bug:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=51481
for more info about compilling errors

Note You need to log in before you can comment on or make changes to this bug.